---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 99d73c48-9985-51d2-9639-d37bcdfe119e
      tier: AATSR_CMP_MONTH
      value: 0.036788444966077805
    brdf:
      alpha_1:
        band_1: 0.1480593451644793
        band_11: 0.15424302811407462
        band_12: 0.023903554379665026
        band_2: 0.1480593451644793
        band_3: 0.3459321417505483
        band_4: 0.1540864371929731
        band_5: 0.1540864371929731
        band_6: 0.1540864371929731
        band_7: 0.8517980613889949
        band_8: 0.8517980613889949
        band_8a: 0.8517980613889949
      alpha_2:
        band_1: 0.22318202044988392
        band_11: 0.1887337737306023
        band_12: 0.24518473792095358
        band_2: 0.22318202044988392
        band_3: 0.19114344581103485
        band_4: 0.222999152778405
        band_5: 0.222999152778405
        band_6: 0.222999152778405
        band_7: 0.04448367240770583
        band_8: 0.04448367240770583
        band_8a: 0.04448367240770583
      id:
      - a0c30504-1431-5194-9a35-fef2c4b1b075
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 83914de1-c12e-5035-af8d-e2dc1baa54d4
      tier: DEFINITIVE
      value: 0.25
    water_vapour:
      id:
      - 3714176a-3ca8-5cc3-84cd-b727f4886435
      tier: DEFINITIVE
      value: 1.0399999618530273
  id: 06ad17e7-eb00-486d-b0b2-e4057be96d33
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1880.8622928268508
      BAND-11: 231.31872835290804
      BAND-12: 80.93217629374914
      BAND-2: 1931.3009447665518
      BAND-3: 1809.8008003002794
      BAND-4: 1477.3114683040315
      BAND-5: 1363.9717563102663
      BAND-6: 1247.073517482623
      BAND-7: 1146.2798003101996
      BAND-8: 1007.8751162308771
      BAND-8A: 918.7966571924754
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2020-06-24 01:11:51.785332Z
    atime: 2022-05-26 13:09:58Z
    ctime: 2020-06-24 07:11:24Z
    mtime: 2020-06-24 07:11:18Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2B_MSIL1C_20200624T010729_N0209_R045_T53KQB_20200624T022648.zip
  system_information:
    hostname: gadi-cpu-clx-0697.gadi.nci.org.au
    runtime_id: 2509f9b2-dcf5-11ec-b151-00000192fe80
    time_processed: 2022-05-26 13:09:58.804153Z
    uname: 'Linux gadi-cpu-clx-0697.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 24.0
    green: 5123.0
    red: 6.0
    teal: 342.0
    yellow: 4.0
  error_message: no errors
  final_qa_count: 5491
  granule: S2B_OPER_MSI_L1C_TL_EPAE_20200624T022648_A017231_T53KQB_N02.09
  ref_date: '2014-07-01T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/072/LC81000722014182LGN00_B6.TIF
  residual:
    abs:
      x: 0.29
      xy: 0.36
      y: 0.2
    abs_iterative_mean:
      x: 0.23
      xy: 0.28
      y: 0.15
    cep90: 0.45
    iterative_mean:
      x: 0.22
      xy: 0.25
      y: -0.12
    iterative_stddev:
      x: 0.16
      xy: 0.23
      y: 0.17
    mean:
      x: 0.28
      xy: 0.32
      y: -0.17
    stddev:
      x: 3.83
      xy: 5.3
      y: 3.66
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 98.29024455791455
    cloud: 0.001761772522320762
    cloud_shadow: 0.0017219584540197278
    snow: 0.001924346634549985
    water: 1.7043473644745704
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 100.0
    cloud: 0.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
